Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.repository.url
Class URLResource

    java.lang.Object
      fr.jayasoft.ivy.repository.url.URLResource

All Implemented Interfaces:
  Resource

public class URLResource
extends java.lang.Object
implements Resource

Constructor Summary
`URLResource(java.net.URL url)`

Method Summary
`boolean` | `exists()` Determine if the resource is available.
`long` | `getContentLength()` Get the resource size
`long` | `getLastModified()` Get the date the resource was last modified
`java.lang.String` | `getName()` Get the name of the resource.
`java.net.URL` | `getURL()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLResource

    public URLResource(java.net.URL url)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Resource`
  Get the name of the resource.

  Specified by:
    `getName` in interface `Resource`
  Returns:
    the repositorie's assigned resource name/identifier.

### getLastModified

    public long getLastModified()

  Description copied from interface: `Resource`
  Get the date the resource was last modified

  Specified by:
    `getLastModified` in interface `Resource`
  Returns:
    A `long` value representing the time the file was last modified, measured in milliseconds since the epoch (00:00:00 GMT, January 1, 1970), or `0L` if the file does not exist or if an I/O error occurs.

### getContentLength

    public long getContentLength()

  Description copied from interface: `Resource`
  Get the resource size

  Specified by:
    `getContentLength` in interface `Resource`
  Returns:
    a `long` value representing the size of the resource in bytes.

### exists

    public boolean exists()

  Description copied from interface: `Resource`
  Determine if the resource is available. Note that this method only checks for availability, not for actual existence.

  Specified by:
    `exists` in interface `Resource`
  Returns:
    `boolean` value indicating if the resource is available.

### getURL

    public java.net.URL getURL()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD